Bug 146774 - CAN-2004-0452 File::Path::rmtree() issue
Summary: CAN-2004-0452 File::Path::rmtree() issue
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: perl   
(Show other bugs)
Version: 4.0
Hardware: All Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Chip Turner
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-02-01 15:55 UTC by Mark J. Cox
Modified: 2007-11-30 22:07 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-02-15 09:18:19 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2005:103 high SHIPPED_LIVE Important: perl security update 2005-02-15 05:00:00 UTC

Description Mark J. Cox 2005-02-01 15:55:38 UTC
*** This bug has been split off bug 140542 ***

------- Original comment by Mark J. Cox (Security Response Team) on 2004.11.23
10:54 -------

Debian reported to vendor-sec earlier in the year a possible issue in
File::Path::rmtree.  "It seems that in the process of recursing the
tree, File::Path::rmtree uses chmod to set various things to be world
writable.  This would seem to open the usual race conditions in 
situations where they would not otherwise exist, due to the directories
involved having sane permissions."

Possibly not public; checking with Debian.

Comment 2 Mark J. Cox 2005-02-15 09:18:19 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-103.html



Note You need to log in before you can comment on or make changes to this bug.